#
# phpBB2 - MySQL schema
#
# $Id: mysql_schema.sql,v 1.35.2.13 2006/12/11 23:30:11 naderman Exp $
#

#
# Table structure for table 'phpbb_auth_access'
#
CREATE TABLE phpbb_auth_access (
   group_id mediumint(8) DEFAULT '0' NOT NULL,
   forum_id smallint(5) UNSIGNED DEFAULT '0' NOT NULL,
   auth_view tinyint(1) DEFAULT '0' NOT NULL,
   auth_read tinyint(1) DEFAULT '0' NOT NULL,
   auth_post tinyint(1) DEFAULT '0' NOT NULL,
   auth_reply tinyint(1) DEFAULT '0' NOT NULL,
   auth_edit tinyint(1) DEFAULT '0' NOT NULL,
   auth_delete tinyint(1) DEFAULT '0' NOT NULL,
   auth_sticky tinyint(1) DEFAULT '0' NOT NULL,
   auth_announce tinyint(1) DEFAULT '0' NOT NULL,
   auth_vote tinyint(1) DEFAULT '0' NOT NULL,
   auth_pollcreate tinyint(1) DEFAULT '0' NOT NULL,
   auth_attachments tinyint(1) DEFAULT '0' NOT NULL,
   auth_mod tinyint(1) DEFAULT '0' NOT NULL,
   KEY group_id (group_id),
   KEY forum_id (forum_id)
);


#
# Table structure for table 'phpbb_user_group'
#
CREATE TABLE phpbb_user_group (
   group_id mediumint(8) DEFAULT '0' NOT NULL,
   user_id mediumint(8) DEFAULT '0' NOT NULL,
   user_pending tinyint(1),
   KEY group_id (group_id),
   KEY user_id (user_id)
);

#
# Table structure for table 'phpbb_groups'
#
CREATE TABLE phpbb_groups (
   group_id mediumint(8) NOT NULL auto_increment,
   group_type tinyint(4) DEFAULT '1' NOT NULL,
   group_name varchar(40) NOT NULL,
   group_description varchar(255) NOT NULL,
   group_moderator mediumint(8) DEFAULT '0' NOT NULL,
   group_single_user tinyint(1) DEFAULT '1' NOT NULL,
   PRIMARY KEY (group_id),
   KEY group_single_user (group_single_user)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_banlist'
#
CREATE TABLE phpbb_banlist (
   ban_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   ban_userid mediumint(8) NOT NULL,
   ban_ip char(8) NOT NULL,
   ban_email varchar(255),
   PRIMARY KEY (ban_id),
   KEY ban_ip_user_id (ban_ip, ban_userid)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_categories'
#
CREATE TABLE phpbb_categories (
   cat_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   cat_title varchar(100),
   cat_order mediumint(8) UNSIGNED NOT NULL,
   PRIMARY KEY (cat_id),
   KEY cat_order (cat_order)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_config'
#
CREATE TABLE phpbb_config (
    config_name varchar(255) NOT NULL,
    config_value varchar(255) NOT NULL,
    PRIMARY KEY (config_name)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_confirm'
#
CREATE TABLE phpbb_confirm (
  confirm_id char(32) DEFAULT '' NOT NULL,
  session_id char(32) DEFAULT '' NOT NULL,
  code char(6) DEFAULT '' NOT NULL, 
  PRIMARY KEY  (session_id,confirm_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_disallow'
#
CREATE TABLE phpbb_disallow (
   disallow_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   disallow_username varchar(25) DEFAULT '' NOT NULL,
   PRIMARY KEY (disallow_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_forum_prune'
#
CREATE TABLE phpbb_forum_prune (
   prune_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   forum_id smallint(5) UNSIGNED NOT NULL,
   prune_days smallint(5) UNSIGNED NOT NULL,
   prune_freq smallint(5) UNSIGNED NOT NULL,
   PRIMARY KEY(prune_id),
   KEY forum_id (forum_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_forums'
#
CREATE TABLE phpbb_forums (
   forum_id smallint(5) UNSIGNED NOT NULL,
   cat_id mediumint(8) UNSIGNED NOT NULL,
   forum_name varchar(150),
   forum_desc text,
   forum_status tinyint(4) DEFAULT '0' NOT NULL,
   forum_order mediumint(8) UNSIGNED DEFAULT '1' NOT NULL,
   forum_posts mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   forum_topics mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   forum_last_post_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   prune_next int(11),
   prune_enable tinyint(1) DEFAULT '0' NOT NULL,
   auth_view tinyint(2) DEFAULT '0' NOT NULL,
   auth_read tinyint(2) DEFAULT '0' NOT NULL,
   auth_post tinyint(2) DEFAULT '0' NOT NULL,
   auth_reply tinyint(2) DEFAULT '0' NOT NULL,
   auth_edit tinyint(2) DEFAULT '0' NOT NULL,
   auth_delete tinyint(2) DEFAULT '0' NOT NULL,
   auth_sticky tinyint(2) DEFAULT '0' NOT NULL,
   auth_announce tinyint(2) DEFAULT '0' NOT NULL,
   auth_vote tinyint(2) DEFAULT '0' NOT NULL,
   auth_pollcreate tinyint(2) DEFAULT '0' NOT NULL,
   auth_attachments tinyint(2) DEFAULT '0' NOT NULL,
   PRIMARY KEY (forum_id),
   KEY forums_order (forum_order),
   KEY cat_id (cat_id),
   KEY forum_last_post_id (forum_last_post_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_posts'
#
CREATE TABLE phpbb_posts (
   post_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   topic_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   forum_id smallint(5) UNSIGNED DEFAULT '0' NOT NULL,
   poster_id mediumint(8) DEFAULT '0' NOT NULL,
   post_time int(11) DEFAULT '0' NOT NULL,
   poster_ip char(8) NOT NULL,
   post_username varchar(25),
   enable_bbcode tinyint(1) DEFAULT '1' NOT NULL,
   enable_html tinyint(1) DEFAULT '0' NOT NULL,
   enable_smilies tinyint(1) DEFAULT '1' NOT NULL,
   enable_sig tinyint(1) DEFAULT '1' NOT NULL,
   post_edit_time int(11),
   post_edit_count smallint(5) UNSIGNED DEFAULT '0' NOT NULL,
   PRIMARY KEY (post_id),
   KEY forum_id (forum_id),
   KEY topic_id (topic_id),
   KEY poster_id (poster_id),
   KEY post_time (post_time)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_posts_text'
#
CREATE TABLE phpbb_posts_text (
   post_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   bbcode_uid char(10) DEFAULT '' NOT NULL,
   post_subject char(60),
   post_text text,
   PRIMARY KEY (post_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_privmsgs'
#
CREATE TABLE phpbb_privmsgs (
   privmsgs_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   privmsgs_type tinyint(4) DEFAULT '0' NOT NULL,
   privmsgs_subject varchar(255) DEFAULT '0' NOT NULL,
   privmsgs_from_userid mediumint(8) DEFAULT '0' NOT NULL,
   privmsgs_to_userid mediumint(8) DEFAULT '0' NOT NULL,
   privmsgs_date int(11) DEFAULT '0' NOT NULL,
   privmsgs_ip char(8) NOT NULL,
   privmsgs_enable_bbcode tinyint(1) DEFAULT '1' NOT NULL,
   privmsgs_enable_html tinyint(1) DEFAULT '0' NOT NULL,
   privmsgs_enable_smilies tinyint(1) DEFAULT '1' NOT NULL,
   privmsgs_attach_sig tinyint(1) DEFAULT '1' NOT NULL,
   PRIMARY KEY (privmsgs_id),
   KEY privmsgs_from_userid (privmsgs_from_userid),
   KEY privmsgs_to_userid (privmsgs_to_userid)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_privmsgs_text'
#
CREATE TABLE phpbb_privmsgs_text (
   privmsgs_text_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   privmsgs_bbcode_uid char(10) DEFAULT '0' NOT NULL,
   privmsgs_text text,
   PRIMARY KEY (privmsgs_text_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_ranks'
#
CREATE TABLE phpbb_ranks (
   rank_id smallint(5) UNSIGNED NOT NULL auto_increment,
   rank_title varchar(50) NOT NULL,
   rank_min mediumint(8) DEFAULT '0' NOT NULL,
   rank_special tinyint(1) DEFAULT '0',
   rank_image varchar(255),
   PRIMARY KEY (rank_id)
);


# --------------------------------------------------------
#
# Table structure for table `phpbb_search_results`
#
CREATE TABLE phpbb_search_results (
  search_id int(11) UNSIGNED NOT NULL default '0',
  session_id char(32) NOT NULL default '',
  search_time int(11) DEFAULT '0' NOT NULL,
  search_array mediumtext NOT NULL,
  PRIMARY KEY  (search_id),
  KEY session_id (session_id)
);


# --------------------------------------------------------
#
# Table structure for table `phpbb_search_wordlist`
#
CREATE TABLE phpbb_search_wordlist (
  word_text varchar(50) binary NOT NULL default '',
  word_id mediumint(8) UNSIGNED NOT NULL auto_increment,
  word_common tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (word_text),
  KEY word_id (word_id)
);

# --------------------------------------------------------
#
# Table structure for table `phpbb_search_wordmatch`
#
CREATE TABLE phpbb_search_wordmatch (
  post_id mediumint(8) UNSIGNED NOT NULL default '0',
  word_id mediumint(8) UNSIGNED NOT NULL default '0',
  title_match tinyint(1) NOT NULL default '0',
  KEY post_id (post_id),
  KEY word_id (word_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_sessions'
#
# Note that if you're running 3.23.x you may want to make
# this table a type HEAP. This type of table is stored
# within system memory and therefore for big busy boards
# is likely to be noticeably faster than continually
# writing to disk ...
#
CREATE TABLE phpbb_sessions (
   session_id char(32) DEFAULT '' NOT NULL,
   session_user_id mediumint(8) DEFAULT '0' NOT NULL,
   session_start int(11) DEFAULT '0' NOT NULL,
   session_time int(11) DEFAULT '0' NOT NULL,
   session_ip char(8) DEFAULT '0' NOT NULL,
   session_page int(11) DEFAULT '0' NOT NULL,
   session_logged_in tinyint(1) DEFAULT '0' NOT NULL,
   session_admin tinyint(2) DEFAULT '0' NOT NULL,
   PRIMARY KEY (session_id),
   KEY session_user_id (session_user_id),
   KEY session_id_ip_user_id (session_id, session_ip, session_user_id)
);

# --------------------------------------------------------
#
# Table structure for table `phpbb_sessions_keys`
#
CREATE TABLE phpbb_sessions_keys (
  key_id varchar(32) DEFAULT '0' NOT NULL,
  user_id mediumint(8) DEFAULT '0' NOT NULL,
  last_ip varchar(8) DEFAULT '0' NOT NULL,
  last_login int(11) DEFAULT '0' NOT NULL,
  PRIMARY KEY (key_id, user_id),
  KEY last_login (last_login)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_smilies'
#
CREATE TABLE phpbb_smilies (
   smilies_id smallint(5) UNSIGNED NOT NULL auto_increment,
   code varchar(50),
   smile_url varchar(100),
   emoticon varchar(75),
   PRIMARY KEY (smilies_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_themes'
#
CREATE TABLE phpbb_themes (
   themes_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   template_name varchar(30) NOT NULL default '',
   style_name varchar(30) NOT NULL default '',
   head_stylesheet varchar(100) default NULL,
   body_background varchar(100) default NULL,
   body_bgcolor varchar(6) default NULL,
   body_text varchar(6) default NULL,
   body_link varchar(6) default NULL,
   body_vlink varchar(6) default NULL,
   body_alink varchar(6) default NULL,
   body_hlink varchar(6) default NULL,
   tr_color1 varchar(6) default NULL,
   tr_color2 varchar(6) default NULL,
   tr_color3 varchar(6) default NULL,
   tr_class1 varchar(25) default NULL,
   tr_class2 varchar(25) default NULL,
   tr_class3 varchar(25) default NULL,
   th_color1 varchar(6) default NULL,
   th_color2 varchar(6) default NULL,
   th_color3 varchar(6) default NULL,
   th_class1 varchar(25) default NULL,
   th_class2 varchar(25) default NULL,
   th_class3 varchar(25) default NULL,
   td_color1 varchar(6) default NULL,
   td_color2 varchar(6) default NULL,
   td_color3 varchar(6) default NULL,
   td_class1 varchar(25) default NULL,
   td_class2 varchar(25) default NULL,
   td_class3 varchar(25) default NULL,
   fontface1 varchar(50) default NULL,
   fontface2 varchar(50) default NULL,
   fontface3 varchar(50) default NULL,
   fontsize1 tinyint(4) default NULL,
   fontsize2 tinyint(4) default NULL,
   fontsize3 tinyint(4) default NULL,
   fontcolor1 varchar(6) default NULL,
   fontcolor2 varchar(6) default NULL,
   fontcolor3 varchar(6) default NULL,
   span_class1 varchar(25) default NULL,
   span_class2 varchar(25) default NULL,
   span_class3 varchar(25) default NULL,
   img_size_poll smallint(5) UNSIGNED,
   img_size_privmsg smallint(5) UNSIGNED,
   PRIMARY KEY  (themes_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_themes_name'
#
CREATE TABLE phpbb_themes_name (
   themes_id smallint(5) UNSIGNED DEFAULT '0' NOT NULL,
   tr_color1_name char(50),
   tr_color2_name char(50),
   tr_color3_name char(50),
   tr_class1_name char(50),
   tr_class2_name char(50),
   tr_class3_name char(50),
   th_color1_name char(50),
   th_color2_name char(50),
   th_color3_name char(50),
   th_class1_name char(50),
   th_class2_name char(50),
   th_class3_name char(50),
   td_color1_name char(50),
   td_color2_name char(50),
   td_color3_name char(50),
   td_class1_name char(50),
   td_class2_name char(50),
   td_class3_name char(50),
   fontface1_name char(50),
   fontface2_name char(50),
   fontface3_name char(50),
   fontsize1_name char(50),
   fontsize2_name char(50),
   fontsize3_name char(50),
   fontcolor1_name char(50),
   fontcolor2_name char(50),
   fontcolor3_name char(50),
   span_class1_name char(50),
   span_class2_name char(50),
   span_class3_name char(50),
   PRIMARY KEY (themes_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_topics'
#
CREATE TABLE phpbb_topics (
   topic_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   forum_id smallint(8) UNSIGNED DEFAULT '0' NOT NULL,
   topic_title char(60) NOT NULL,
   topic_poster mediumint(8) DEFAULT '0' NOT NULL,
   topic_time int(11) DEFAULT '0' NOT NULL,
   topic_views mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   topic_replies mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   topic_status tinyint(3) DEFAULT '0' NOT NULL,
   topic_vote tinyint(1) DEFAULT '0' NOT NULL,
   topic_type tinyint(3) DEFAULT '0' NOT NULL,
   topic_first_post_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   topic_last_post_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   topic_moved_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   PRIMARY KEY (topic_id),
   KEY forum_id (forum_id),
   KEY topic_moved_id (topic_moved_id),
   KEY topic_status (topic_status),
   KEY topic_type (topic_type)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_topics_watch'
#
CREATE TABLE phpbb_topics_watch (
  topic_id mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  user_id mediumint(8) NOT NULL DEFAULT '0',
  notify_status tinyint(1) NOT NULL default '0',
  KEY topic_id (topic_id),
  KEY user_id (user_id),
  KEY notify_status (notify_status)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_users'
#
CREATE TABLE phpbb_users (
   user_id mediumint(8) NOT NULL,
   user_active tinyint(1) DEFAULT '1',
   username varchar(25) NOT NULL,
   user_password varchar(32) NOT NULL,
   user_session_time int(11) DEFAULT '0' NOT NULL,
   user_session_page smallint(5) DEFAULT '0' NOT NULL,
   user_lastvisit int(11) DEFAULT '0' NOT NULL,
   user_regdate int(11) DEFAULT '0' NOT NULL,
   user_level tinyint(4) DEFAULT '0',
   user_posts mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
   user_timezone decimal(5,2) DEFAULT '0' NOT NULL,
   user_style tinyint(4),
   user_lang varchar(255),
   user_dateformat varchar(14) DEFAULT 'd M Y H:i' NOT NULL,
   user_new_privmsg smallint(5) UNSIGNED DEFAULT '0' NOT NULL,
   user_unread_privmsg smallint(5) UNSIGNED DEFAULT '0' NOT NULL,
   user_last_privmsg int(11) DEFAULT '0' NOT NULL,
   user_login_tries smallint(5) UNSIGNED DEFAULT '0' NOT NULL,
   user_last_login_try int(11) DEFAULT '0' NOT NULL,
   user_emailtime int(11),
   user_viewemail tinyint(1),
   user_attachsig tinyint(1),
   user_allowhtml tinyint(1) DEFAULT '1',
   user_allowbbcode tinyint(1) DEFAULT '1',
   user_allowsmile tinyint(1) DEFAULT '1',
   user_allowavatar tinyint(1) DEFAULT '1' NOT NULL,
   user_allow_pm tinyint(1) DEFAULT '1' NOT NULL,
   user_allow_viewonline tinyint(1) DEFAULT '1' NOT NULL,
   user_notify tinyint(1) DEFAULT '1' NOT NULL,
   user_notify_pm tinyint(1) DEFAULT '0' NOT NULL,
   user_popup_pm tinyint(1) DEFAULT '0' NOT NULL,
   user_rank int(11) DEFAULT '0',
   user_avatar varchar(100),
   user_avatar_type tinyint(4) DEFAULT '0' NOT NULL,
   user_email varchar(255),
   user_icq varchar(15),
   user_website varchar(100),
   user_from varchar(100),
   user_sig text,
   user_sig_bbcode_uid char(10),
   user_aim varchar(255),
   user_yim varchar(255),
   user_msnm varchar(255),
   user_occ varchar(100),
   user_interests varchar(255),
   user_actkey varchar(32),
   user_newpasswd varchar(32),
   PRIMARY KEY (user_id),
   KEY user_session_time (user_session_time)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_vote_desc'
#
CREATE TABLE phpbb_vote_desc (
  vote_id mediumint(8) UNSIGNED NOT NULL auto_increment,
  topic_id mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  vote_text text NOT NULL,
  vote_start int(11) NOT NULL DEFAULT '0',
  vote_length int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY  (vote_id),
  KEY topic_id (topic_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_vote_results'
#
CREATE TABLE phpbb_vote_results (
  vote_id mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  vote_option_id tinyint(4) UNSIGNED NOT NULL DEFAULT '0',
  vote_option_text varchar(255) NOT NULL,
  vote_result int(11) NOT NULL DEFAULT '0',
  KEY vote_option_id (vote_option_id),
  KEY vote_id (vote_id)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_vote_voters'
#
CREATE TABLE phpbb_vote_voters (
  vote_id mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  vote_user_id mediumint(8) NOT NULL DEFAULT '0',
  vote_user_ip char(8) NOT NULL,
  KEY vote_id (vote_id),
  KEY vote_user_id (vote_user_id),
  KEY vote_user_ip (vote_user_ip)
);


# --------------------------------------------------------
#
# Table structure for table 'phpbb_words'
#
CREATE TABLE phpbb_words (
   word_id mediumint(8) UNSIGNED NOT NULL auto_increment,
   word char(100) NOT NULL,
   replacement char(100) NOT NULL,
   PRIMARY KEY (word_id)
);


CREATE TABLE phpbb_arcade (
  `arcade_name` varchar(255) NOT NULL default '', 
  `arcade_value` varchar(255) NOT NULL default '', 
  PRIMARY KEY (`arcade_name`) 
) TYPE=MyISAM;

CREATE TABLE phpbb_arcade_categories ( 
  `arcade_catid` mediumint(8) unsigned NOT NULL auto_increment, 
  `arcade_cattitle` varchar(100) NOT NULL default '', 
  `arcade_nbelmt` mediumint(8) unsigned NOT NULL default '0', 
  `arcade_catorder` mediumint(8) unsigned NOT NULL default '0',
  `arcade_catauth` TINYINT( 2 ) NOT NULL,
  KEY `arcade_catid` (`arcade_catid`)
) TYPE=MyISAM;

CREATE TABLE `phpbb_arcade_comments` (
  `game_id` mediumint(8) NOT NULL default '0',
  `message` text NOT NULL
) TYPE=MyISAM;

CREATE TABLE phpbb_arcade_championnat ( 
  `game_id` mediumint(8) NOT NULL default '0', 
  `one_userid`  mediumint(8) NOT NULL default '0', 
  `two_userid` mediumint(8) NOT NULL default '0', 
  `three_userid` mediumint(8) NOT NULL default '0', 
  `four_userid` mediumint(8) NOT NULL default '0', 
  `five_userid` mediumint(8) NOT NULL default '0',
  `six_userid` mediumint(8) NOT NULL default '0',
  `seven_userid` mediumint(8) NOT NULL default '0',
  `eight_userid` mediumint(8) NOT NULL default '0',
  `nine_userid` mediumint(8) NOT NULL default '0',
  `ten_userid` mediumint(8) NOT NULL default '0',
  `eleven_userid` mediumint(8) NOT NULL default '0',
  `twelve_userid` mediumint(8) NOT NULL default '0',
  `thirteen_userid` mediumint(8) NOT NULL default '0',
  `fourteen_userid` mediumint(8) NOT NULL default '0',
  `fiveteen_userid` mediumint(8) NOT NULL default '0',
  `sixteen_userid` mediumint(8) NOT NULL default '0',
  `seventeen_userid` mediumint(8) NOT NULL default '0',
  `eighteen_userid` mediumint(8) NOT NULL default '0',
  `nineteen_userid` mediumint(8) NOT NULL default '0',
  `twenty_userid` mediumint(8) NOT NULL default '0',
  KEY game_id (`game_id`) 
) TYPE=MyISAM;

CREATE TABLE phpbb_arcade_cheater_file (
   `cheater_id` int(11) NOT NULL auto_increment,
   `user_id` mediumint(8) NOT NULL default '0',
   `game_id` mediumint(8) NOT NULL default '0',
   `score_game` bigint(20) NOT NULL default '0',
   `date_cheat` int(11) NOT NULL default '0',
   `flashtime` int(11) NOT NULL default '0',
   `realtime` int(11) NOT NULL default '0',
   `cheattype` tinyint(1) NOT NULL default '0',
   PRIMARY KEY  (`cheater_id`)
) TYPE=MyISAM;

CREATE TABLE `phpbb_arcade_fav` (
  `order_fav` mediumint(8) NOT NULL default '0',
  `user_id` mediumint(8) NOT NULL default '0',
  `game_id` mediumint(8) NOT NULL default '0'
) TYPE=MyISAM;

CREATE TABLE phpbb_arcade_vote_results ( 
  `rating_id` mediumint(8) unsigned NOT NULL auto_increment,
  `user_id` mediumint(8) unsigned NOT NULL default '0',
  `game_id` mediumint(8) unsigned NOT NULL default '0',
  `rating` mediumint(8) unsigned NOT NULL default '0',
  `rating_time` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`rating_id`),
  KEY `game_id` (`game_id`)
) TYPE=MyISAM;

CREATE TABLE phpbb_auth_arcade_access (
  `group_id` mediumint(8) NOT NULL default '0', 
  `arcade_catid` mediumint(8) unsigned NOT NULL default '0',
  KEY `group_id` (`group_id`), 
  KEY `arcade_catid` (`arcade_catid`) 
) TYPE=MyISAM; 

CREATE TABLE phpbb_gamehash (
  `gamehash_id` CHAR(32) NOT NULL,
  `game_id` MEDIUMINT(8) NOT NULL,
  `user_id` MEDIUMINT(8) NOT NULL,
  `hash_date` INT(11) NOT NULL
) TYPE=MyISAM;

CREATE TABLE phpbb_games (
  `game_id` mediumint(8) NOT NULL auto_increment,
  `game_pic` varchar(50) NOT NULL default '', 
  `game_desc` varchar(255) NOT NULL default '', 
  `game_highscore` INT( 11 ) default '0' NOT NULL,
  `game_highdate` int(11) NOT NULL default '0',
  `game_highuser` mediumint(8) NOT NULL default '0',
  `game_name` varchar(50) NOT NULL default '',
  `game_swf` varchar(50) NOT NULL default '',
  `game_scorevar` varchar(20) NOT NULL default '',
  `game_type` tinyint(4) NOT NULL default '0', 
  `game_width` MEDIUMINT(5) default '550' NOT NULL, 
  `game_height` VARCHAR(5) default '380' NOT NULL,
  `game_order` MEDIUMINT(8) default '0' NOT NULL, 
  `game_set` MEDIUMINT(8) default '0' NOT NULL,
  `arcade_catid` MEDIUMINT(8) unsigned default '1' NOT NULL,
  `game_cheat_control` TINYINT(1) default '0' NOT NULL,
  `game_pad` TINYINT(1) NOT NULL,
  `game_highscore_type` TINYINT(1) NOT NULL default '0',
  `point_prize` MEDIUMINT(8) NOT NULL,
  `point_pay` MEDIUMINT(8) NOT NULL,
  `game_ultimate_highscore` int(32) NOT NULL default '0',
  `game_ultimate_highdate` int(32) NOT NULL default '0',
  `game_ultimate_highuser` int(32) NOT NULL default '0',
  `game_auth_acc` tinyint(1) NOT NULL default '0',
  KEY `game_id` (`game_id`)
) TYPE=MyISAM;

CREATE TABLE phpbb_games_time (
   `game_sessid` char(32) NOT NULL,
   `user_id` mediumint(8) NOT NULL default '0',
   `game_id` mediumint(8) NOT NULL,
   `date_enreg` int(11) NOT NULL default '0',
   PRIMARY KEY  (`game_sessid`)
) TYPE=MyISAM;

CREATE TABLE phpbb_hackgame ( 
  `user_id` MEDIUMINT(8) NOT NULL, 
  `game_id` MEDIUMINT(8) NOT NULL, 
  `date_hack` INT(11) NOT NULL
) TYPE=MyISAM;

CREATE TABLE phpbb_modo_record (
  `modo_record_id` mediumint(6) NOT NULL auto_increment,
  `jeu` varchar(60) NOT NULL default '',
  `moderateur` varchar(50) NOT NULL default '',
  `champion` varchar(50) NOT NULL default '',
  `score` varchar(50) NOT NULL default '',
  `commentaire` text NOT NULL,
  `date_effacement` int(11) NOT NULL default '0',
  PRIMARY KEY  (`modo_record_id`)
) TYPE=MyISAM;

CREATE TABLE phpbb_scores (
  `game_id` mediumint(8) NOT NULL default '0', 
  `user_id` mediumint(8) NOT NULL default '0',
  `score_game` int(11) NOT NULL default '0',
  `score_date` int(11) NOT NULL default '0',
  `score_time` int(11) NOT NULL default '0',
  `score_set` mediumint(8) NOT NULL default '0',
  KEY `game_id` (`game_id`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM;


CREATE TABLE `phpbb_areabb_blocs` (  `id_bloc` int(11) NOT NULL auto_increment,  `id_feuille` int(11) NOT NULL default '0',  `id_mod` int(11) default '0',  `type_mod` varchar(5) default NULL,  PRIMARY KEY  (`id_bloc`));
CREATE TABLE `phpbb_areabb_blocs_html` (  `id_bloc` tinyint(4) NOT NULL auto_increment,  `titre` varchar(250) default NULL,  `message` text,  PRIMARY KEY  (`id_bloc`));
CREATE TABLE `phpbb_areabb_config` (  `nom` varchar(255) NOT NULL default '',  `valeur` varchar(255) NOT NULL default '',  PRIMARY KEY  (`nom`)) ;
CREATE TABLE `phpbb_areabb_feuille` (  `id_feuille` int(11) NOT NULL auto_increment,  `id_squelette` int(11) NOT NULL default '0',  `id_modele` int(11) NOT NULL default '0',  `position` int(11) NOT NULL default '0',  PRIMARY KEY  (`id_feuille`));
CREATE TABLE `phpbb_areabb_modeles` (  `id_modele` smallint(6) NOT NULL auto_increment,  `modele` text NOT NULL,  `details` varchar(200) default NULL,  PRIMARY KEY  (`id_modele`));
CREATE TABLE `phpbb_areabb_mods` (  `id_mod` int(11) NOT NULL auto_increment,  `nom` varchar(150) NOT NULL default '',  `affiche` tinyint(1) NOT NULL default '0',  `page` varchar(250) NOT NULL default '',  PRIMARY KEY  (`id_mod`));
CREATE TABLE `phpbb_areabb_squelette` (  `id_squelette` tinyint(4) NOT NULL auto_increment,  `titre` varchar(250) default NULL,  `groupes` varchar(250) default NULL,  `type` smallint(6) NOT NULL default '0', `position` INT DEFAULT '0' NOT NULL,  PRIMARY KEY  (`id_squelette`));

#
# TABLE: phpbb_shout
#
DROP TABLE IF EXISTS phpbb_shout;
CREATE TABLE phpbb_shout(
	shout_id mediumint(8) unsigned NOT NULL auto_increment,
	shout_username varchar(25) NOT NULL,
	shout_user_id mediumint(8) NOT NULL,
	shout_group_id mediumint(8) NOT NULL,
	shout_session_time int(11) NOT NULL,
	shout_ip char(8) NOT NULL,
	shout_text text NOT NULL,
	shout_active mediumint(8) NOT NULL,
	enable_bbcode tinyint(1) NOT NULL,
	enable_html tinyint(1) NOT NULL,
	enable_smilies tinyint(1) NOT NULL,
	enable_sig tinyint(1) NOT NULL,
	shout_bbcode_uid varchar(10) NOT NULL, 
	KEY shout_id (shout_id)
);

CREATE TABLE phpbb_hangman_configs ( config_name varchar(20) NOT NULL default '', config_value varchar(255) NOT NULL default '' ) TYPE=MyISAM;
CREATE TABLE phpbb_hangman_quess ( userid mediumint(8) NOT NULL default '0', hangmanid mediumint(8) NOT NULL default '0', tries tinyint(2) default NULL, losttime int(11) default NULL, quesscount int(4) NOT NULL default '1' ) TYPE=MyISAM;
CREATE TABLE phpbb_hangman_score ( userid mediumint(8) NOT NULL default '0', created mediumint(8) NOT NULL default '0', won mediumint(8) NOT NULL default '0', lost mediumint(8) NOT NULL default '0', points mediumint(8) NOT NULL default '0', r_letters mediumint(8) NOT NULL default '0', w_letters mediumint(8) NOT NULL default '0' ) TYPE=MyISAM;
CREATE TABLE phpbb_hangman_words ( hangmanid mediumint(8) NOT NULL auto_increment, userid mediumint(8) NOT NULL default '0', hangman_word text, hangman_help text, hangman_subject varchar(70) NOT NULL default '', max_tries tinyint(2) default NULL, time_created int(11) NOT NULL default '0', time_limit int(11) NOT NULL default '0', bwon tinyint(1) NOT NULL default '0', quessed_letters varchar(35) default NULL, bbcodeid varchar(10) NOT NULL default '', winner mediumint(8) default '0', PRIMARY KEY (hangmanid) ) TYPE=MyISAM;
CREATE TABLE `phpbb_classement_table` (
 `classement_name` varchar(250) NOT NULL default '',
 `classement_value` varchar(250) NOT NULL default '' 
)TYPE=MyISAM;
CREATE TABLE phpbb_flags (
   flag_id int(10) NOT NULL auto_increment,
   flag_name varchar(25),
   flag_image varchar(25),
   PRIMARY KEY (flag_id)
);
CREATE TABLE phpbb_instant_msg (
	id_msg mediumint(8) NOT NULL auto_increment,
	id_sender mediumint(8) NOT NULL default '0',
	id_dest mediumint(8) NOT NULL default '0',
	date_msg int(11) NOT NULL default '0',
	message text NOT NULL,
	bbcode_uid VARCHAR(10) NOT NULL,
	enable_bbcode TINYINT (1) NOT NULL,
	enable_smilies TINYINT (1) NOT NULL,
	UNIQUE KEY id_msg (id_msg)
);
CREATE TABLE phpbb_cash (
  cash_id smallint(6) NOT NULL auto_increment,
  cash_order smallint(6) NOT NULL default '0',
  cash_settings smallint(4) NOT NULL default '3313',
  cash_dbfield varchar(64) NOT NULL default '',
  cash_name varchar(64) NOT NULL default 'GP',
  cash_default int(11) NOT NULL default '0',
  cash_decimals tinyint(2) NOT NULL default '0',
  cash_imageurl varchar(255) NOT NULL default '',
  cash_exchange int(11) NOT NULL default '1',
  cash_perpost int(11) NOT NULL default '25',
  cash_postbonus int(11) NOT NULL default '2',
  cash_perreply int(11) NOT NULL default '25',
  cash_maxearn int(11) NOT NULL default '75',
  cash_perpm int(11) NOT NULL default '0',
  cash_perchar int(11) NOT NULL default '20',
  cash_allowance tinyint(1) NOT NULL default '0',
  cash_allowanceamount int(11) NOT NULL default '0',
  cash_allowancetime tinyint(2) NOT NULL default '2',
  cash_allowancenext int(11) NOT NULL default '0',
  cash_forumlist varchar(255) NOT NULL default '',
  PRIMARY KEY  (cash_id)
);
CREATE TABLE phpbb_cash_events (
  event_name varchar(32) NOT NULL default '',
  event_data varchar(255) NOT NULL default '',
  PRIMARY KEY  (event_name)
);
CREATE TABLE phpbb_cash_exchange (
  ex_cash_id1 int(11) NOT NULL default '0',
  ex_cash_id2 int(11) NOT NULL default '0',
  ex_cash_enabled int(1) NOT NULL default '0',
  PRIMARY KEY  (ex_cash_id1,ex_cash_id2)
);
CREATE TABLE phpbb_cash_groups (
  group_id mediumint(6) NOT NULL default '0',
  group_type tinyint(2) NOT NULL default '0',
  cash_id smallint(6) NOT NULL default '0',
  cash_perpost int(11) NOT NULL default '0',
  cash_postbonus int(11) NOT NULL default '0',
  cash_perreply int(11) NOT NULL default '0',
  cash_perchar int(11) NOT NULL default '0',
  cash_maxearn int(11) NOT NULL default '0',
  cash_perpm int(11) NOT NULL default '0',
  cash_allowance tinyint(1) NOT NULL default '0',
  cash_allowanceamount int(11) NOT NULL default '0',
  cash_allowancetime tinyint(2) NOT NULL default '2',
  cash_allowancenext int(11) NOT NULL default '0',
  PRIMARY KEY  (group_id,group_type,cash_id)
);
CREATE TABLE phpbb_cash_log (
  log_id int(11) NOT NULL auto_increment,
  log_time int(11) NOT NULL default '0',
  log_type smallint(6) NOT NULL default '0',
  log_action varchar(255) NOT NULL default '',
  log_text varchar(255) NOT NULL default '',
  PRIMARY KEY  (log_id)
);
CREATE TABLE `phpbb_cijoint` (
`cijoint_filepath` VARCHAR( 250 ) NOT NULL ,
`cijoint_filesize` INT NOT NULL ,
`cijoint_urlallow` VARCHAR( 250 ) NOT NULL ,
`cijoint_imgallow` VARCHAR( 250 ) NOT NULL
);
CREATE TABLE phpbb_rabbitoshi_config (
  creature_id smallint(2) NOT NULL default '0',
  creature_name varchar(255) NOT NULL default '',
  creature_prize int(8) NOT NULL default '0',
  creature_max_hunger int(8) NOT NULL default '0',
  creature_max_thirst int(8) NOT NULL default '0',
  creature_max_health int(8) NOT NULL default '0',
  creature_max_hygiene int(8) NOT NULL default '0',
  creature_food_id smallint(2) NOT NULL default '0',
  creature_buyable tinyint(1) NOT NULL default '1',
  creature_evolution_of int(8) NOT NULL default '0',
  creature_img varchar(255) NOT NULL default '',
  PRIMARY KEY  (creature_id)
) TYPE=MyISAM;
CREATE TABLE phpbb_rabbitoshi_general (
  config_name varchar(255) NOT NULL default '0',
  config_value int(15) NOT NULL default '0',
  PRIMARY KEY  (config_name)
) TYPE=MyISAM;
CREATE TABLE phpbb_rabbitoshi_shop (
  item_id smallint(1) NOT NULL default '0',
  item_name varchar(255) NOT NULL default '',
  item_prize int(8) NOT NULL default '0',
  item_desc varchar(255) NOT NULL default '',
  item_type smallint(1) NOT NULL default '0',
  item_power int(8) NOT NULL default '0',
  item_img varchar(255) NOT NULL default '',
  PRIMARY KEY  (item_id)
) TYPE=MyISAM;
CREATE TABLE phpbb_rabbitoshi_shop_users (
  item_id mediumint(8) NOT NULL default '0',
  user_id mediumint(8) NOT NULL default '0',
  item_amount mediumint(8) NOT NULL default '0',
  KEY item_id (item_id),
  KEY user_id (user_id)
) TYPE=MyISAM;

CREATE TABLE phpbb_rabbitoshi_users (
  owner_id int(8) NOT NULL default '0',
  owner_last_visit int(11) NOT NULL default '0',
  owner_creature_id smallint(2) NOT NULL default '0',
  owner_creature_name varchar(255) NOT NULL default '',
  creature_hunger int(8) NOT NULL default '0',
  creature_thirst int(8) NOT NULL default '0',
  creature_health int(8) NOT NULL default '0',
  creature_hygiene int(8) NOT NULL default '0',
  creature_age int(11) NOT NULL default '0',
  creature_hotel int(11) NOT NULL default '0',
  owner_notification tinyint(1) NOT NULL default '0',
  owner_hide tinyint(1) NOT NULL default '0',
  owner_feed_full tinyint(1) NOT NULL default '1',
  owner_drink_full tinyint(1) NOT NULL default '1',
  owner_clean_full tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (owner_id)
) TYPE=MyISAM;
ALTER TABLE phpbb_forums ADD forum_icon VARCHAR(255) DEFAULT NULL;

